GH-REPO-AUTOLINK-LIST(1)

NAME
gh-repo-autolink-list - List autolink references for a GitHub repository

SYNOPSIS
gh repo autolink list [flags]

DESCRIPTION
Gets all autolink references that are configured for a repository.

Information about autolinks is only available to repository administrators.

OPTIONS

-q, --jq <expression>
    Filter JSON output using a jq expression

--json <fields>
    Output JSON with the specified fields

-t, --template <string>
    Format JSON output using a Go template; see "gh help formatting"

-w, --web
    List autolink references in the web browser

OPTIONS INHERITED FROM PARENT COMMANDS

-R, --repo <[HOST/]OWNER/REPO>
    Select another repository using the [HOST/]OWNER/REPO format

ALIASES
gh repo autolink ls

JSON FIELDS
id, isAlphanumeric, keyPrefix, urlTemplate

EXIT CODES
0: Successful execution

1: Error

2: Command canceled

4: Authentication required

NOTE: Specific commands may have additional exit codes. Refer to the command's help for more information.

SEE ALSO
gh-repo-autolink(1)